curl --request POST \
--url https://api.atlast.co/v1/shipments/simple \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"carrier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "<string>"
},
"shipment": {
"from": {
"name": "<string>",
"email": "jsmith@example.com",
"address": {
"line1": "<string>",
"city": "<string>",
"postCode": "<string>",
"line2": "<string>",
"line3": "<string>",
"country": "<string>",
"province": "<string>"
},
"phoneNumber": "<string>"
},
"parcel": {
"dimensions": {
"width": 1,
"height": 1,
"length": 1,
"unit": "CM"
},
"items": [
{
"quantity": 2,
"value": {
"value": 1,
"currency": "<string>"
},
"weight": {
"value": 1
},
"description": "<string>"
}
]
},
"reference": "<string>",
"reference2": "<string>"
},
"ignore": [
"SIZE"
]
}
'import requests
url = "https://api.atlast.co/v1/shipments/simple"
payload = {
"id": "<string>",
"carrier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "<string>"
},
"shipment": {
"from": {
"name": "<string>",
"email": "jsmith@example.com",
"address": {
"line1": "<string>",
"city": "<string>",
"postCode": "<string>",
"line2": "<string>",
"line3": "<string>",
"country": "<string>",
"province": "<string>"
},
"phoneNumber": "<string>"
},
"parcel": {
"dimensions": {
"width": 1,
"height": 1,
"length": 1,
"unit": "CM"
},
"items": [
{
"quantity": 2,
"value": {
"value": 1,
"currency": "<string>"
},
"weight": { "value": 1 },
"description": "<string>"
}
]
},
"reference": "<string>",
"reference2": "<string>"
},
"ignore": ["SIZE"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
carrier: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', serviceId: '<string>'},
shipment: {
from: {
name: '<string>',
email: 'jsmith@example.com',
address: {
line1: '<string>',
city: '<string>',
postCode: '<string>',
line2: '<string>',
line3: '<string>',
country: '<string>',
province: '<string>'
},
phoneNumber: '<string>'
},
parcel: {
dimensions: {width: 1, height: 1, length: 1, unit: 'CM'},
items: [
{
quantity: 2,
value: {value: 1, currency: '<string>'},
weight: {value: 1},
description: '<string>'
}
]
},
reference: '<string>',
reference2: '<string>'
},
ignore: ['SIZE']
})
};
fetch('https://api.atlast.co/v1/shipments/simple', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carrier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "<string>"
},
"parcel": {
"dimensions": {
"width": 1,
"height": 1,
"length": 1,
"unit": "CM"
},
"weight": {
"value": 1
},
"items": [
{
"quantity": 2,
"description": "<string>",
"value": {
"value": 1,
"currency": "<string>"
},
"weight": {
"value": 1
}
}
]
},
"from": {
"name": "<string>",
"email": "jsmith@example.com",
"address": {
"line1": "<string>",
"city": "<string>",
"postCode": "<string>",
"line2": "<string>",
"line3": "<string>",
"country": "<string>",
"province": "<string>"
},
"phoneNumber": "<string>"
},
"to": {
"name": "<string>",
"email": "jsmith@example.com",
"address": {
"line1": "<string>",
"city": "<string>",
"postCode": "<string>",
"line2": "<string>",
"line3": "<string>",
"country": "<string>",
"province": "<string>"
},
"phoneNumber": "<string>"
},
"metadata": {
"externalId": "<string>",
"merchant": {
"id": "<string>"
},
"user": {
"email": "jsmith@example.com"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"hasDelivery": true,
"hasCollection": true,
"reference": "<string>",
"reference2": "<string>",
"labels": [
{
"url": "<string>"
}
],
"trackingNumber": "<string>",
"trackingUrl": "<string>",
"statusDescription": "<string>",
"failureReason": "<string>",
"collectionRequestedTimeSlot": {
"date": "<string>",
"time": "<string>"
},
"collection": {
"bookedTimeSlot": {
"date": "<string>",
"time": "<string>"
},
"rebooked": true
}
}{
"message": "<string>",
"details": {}
}{
"message": "<string>",
"details": {}
}{
"message": "<string>",
"details": {}
}{
"message": "<string>",
"details": {}
}Create a simple shipment
Create a shipment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Create simple shipment request
Show child attributes
Show child attributes
Create return shipment request
Show child attributes
Show child attributes
Carrier constraints to ignore when creating a shipment. If not specified, all constraints will be checked. While our service constraints are based on carrier specifications, like size, these specifications are often vague and difficult to enforce. To allow for this, we provide a way to ignore specific constraints when creating a shipment. ** Note that this is not a replacement for the service constraints, it is only a way to ignore specific constraints when creating a shipment. And the API consumer is still responsible for ensuring that the shipment is valid. **
SIZE Response
The request has succeeded.
Shipment resource
At last shipment id
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Data used to specify address and receiver/sender details to create a shipment and collection. The data send in these address details are NOT verified. It's the responsibility of the caller to ensure the address data is correct or shipment/collection requests can fail.
Show child attributes
Show child attributes
Data used to specify address and receiver/sender details to create a shipment and collection. The data send in these address details are NOT verified. It's the responsibility of the caller to ensure the address data is correct or shipment/collection requests can fail.
Show child attributes
Show child attributes
AWAITING_BOOKING, READY, ONGOING, COMPLETE, CANCELED, FAIL Show child attributes
Show child attributes
Shipment Reference.
1 - 20Optional shipping reference (might not be suported by all carriers)
1 - 20Show child attributes
Show child attributes
BOOKED, COLLECTED, AT_HUB, IN_TRANSIT, OUT_FOR_DELIVERY, FAILED_ATTEMPT, DELIVERED, ON_HOLD, ADDRESS_ISSUE, RETURNED_TO_SENDER, TRACKING_EXPIRED, CANCELLED, AWAITING_CUSTOMER_COLLECTION, PACKING, MISSING, DAMAGED AWAITING_BOOKING, READY, ONGOING, COMPLETE, CANCELED, FAIL Resovled collection time slot
Show child attributes
Show child attributes
Show child attributes
Show child attributes